TTTT Analysis 0.1

Public Member Functions | Private Member Functions | Private Attributes | List of all members
fv::root::MassFilter Class Reference
Inheritance diagram for fv::root::MassFilter:
[legend]
Collaboration diagram for fv::root::MassFilter:
[legend]

## Public Member Functions
| FilterAnd (Value< TLorentzVector > *lorentz_vector, Value< double > *mass_cut_low, Value< double > *mass_cut_high)
Public Member Functions inherited from fv::Filter
| Filter (const std::string &name, std::function< bool()> filter_function, const std::string &impl="")
Filter * | operator* (Filter *f)
| Return a new filter that is the conjuction of the two source filters.
Filter * | operator+ (Filter *f)
| Return a new filter that is the disjunction of the two source filters.
Filter * | operator! ()
| Return a new filter that is the negation of the source filter.
Public Member Functions inherited from fv::DerivedValue< bool >
| DerivedValue (const std::string &name, const std::string &alias="")
bool & | get_value ()
| Calculate, if necessary, and return the value held by this object.
Public Member Functions inherited from fv::Value< bool >
| Value (const std::string &name, const std::string &alias="")
Public Member Functions inherited from fv::GenValue
| GenValue (const std::string &name, const std::string &alias)
const std::string & | get_name ()
void | set_name (const std::string &new_name)

## Private Member Functions
void | update_value ()
| Updates the internal value. More...

## Private Attributes
Value< TLorentzVector > * | lorentz_vector
Value< double > * | mass_cut_low
Value< double > * | mass_cut_high

## Additional Inherited Members
Static Public Member Functions inherited from fv::GenValue
static void | reset ()
static GenValue * | get_value (const std::string &name)
static void | alias (const std::string &name, GenValue *value)
static GenValue * | alias (const std::string &name)
static std::string | summary ()
Protected Attributes inherited from fv::DerivedValue< bool >
bool | value
bool | value_valid
Static Protected Attributes inherited from fv::GenValue
static std::map< const std::string, GenValue * > | values
| A static mapping containing all created Value objects. More...
static std::map< const std::string, GenValue * > | aliases
| Composite value names are typically nested. More...

## Member Function Documentation

## ◆ update_value()

void fv::root::MassFilter::update_value | ( |  | ) |
| inline private virtual

Updates the internal value.

This function should be overridden by any child class to do the actual work of updating value based on whatever rules the class chooses. Normally, this consists of geting the values from some associated Value objects, doing some calculation on them, and storing the result in value.

Reimplemented from fv::Filter.

Here is the call graph for this function:

The documentation for this class was generated from the following file:

- /home/caleb/Sources/TTTT/filval_root/filter.hpp